﻿
<div class="modal fade " data-backdrop="static" data-keyboard="false" id="BookModal" tabindex="-1" role="dialog" aria-labelledby="BookModal" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-xs pull-right" data-dismiss="modal"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.Book</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <input id="bookid" name="bookid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                    <input id="bookroomid" name="bookroomid" type="text" style="display: none;"  value="" class="form-control" />
                    <input id="guestid" name="guestid" type="text" style="display: none;" value="" class="form-control" />
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="gnamekh">@Resources.Content.NameKh</label>
                                            <input id="gnamekh" name="gnamekh" placeholder="Enter Guest Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="guestname">@Resources.Content.Name</label>
                                            <input id="guestname" name="guestname" placeholder="Enter Guest Name" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>

                                        <div class="form-group">
                                            <label for="gsex">@Resources.Content.Sex</label>
                                            <select class="form-control input-sm" id="gsex">
                                                <option>Male</option>
                                                <option>Female</option>
                                            </select>
                                            @*<input id="gsex" name="gsex" placeholder="Enter Gender" type="text" value="" class="form-control input-sm" style="min-width: 100%" />*@
                                        </div>
                                        <div class="form-group">
                                            <label for="dob">@Resources.Content.DOB</label>
                                            <input id="dob" name="dob" type="date" value="@DateTime.Now.ToString("yyyy'-'MM'-'dd")" class="form-control input-sm" placeholder="Choose Datetime" />
                                            @*<input id="dob" name="dob" placeholder="Enter Date Of Birth" type="text" value="" class="form-control input-sm" style="min-width: 100%" />*@
                                        </div>
                                        <div class="form-group">
                                            <label for="address">មកពី</label> 
                                            <input id="address" name="address" placeholder="Enter Address" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="nationality">@Resources.Content.Nationality</label>
                                            <select class="form-control input-sm" id="nationality">
                                                <option>Khmer</option>
                                                <option>Other</option>
                                            </select>
                                            @*<input id="nationality" name="nationality" placeholder="Enter Nationality" type="text" value="" class="form-control input-sm" style="min-width: 100%" />*@
                                        </div>
                                        <div class="form-group">
                                            <label for="phonenumber">@Resources.Content.Phone</label>
                                            <input id="phonenumber" name="phonenumber" placeholder="Enter Phone" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="email">@Resources.Content.Email</label>
                                            <input id="email" name="email" placeholder="Enter Email" type="email" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="ssn">@Resources.Content.SSN</label>
                                            <input id="ssn" name="ssn" placeholder="Enter Social Security Number" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="passport">@Resources.Content.Passport</label>
                                            <input id="passport" name="passport" placeholder="Enter Passport Number" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="bookingno">@Resources.Content.No</label>
                                            <input id="bookingno" name="bookingno" placeholder="Enter Book No" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="frmbookroomid" class="control-label">@Resources.Content.RoomNo</label>
                                            <select class="form-control input-sm" id="frmbookroomid">
                                                @foreach (var room in Model.ListRoomFree)
                                                {
                                                    <option value=@room.id>@room.room_no</option>
                                                }
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label for="roompriceb">@Resources.Content.RoomPrice</label>
                                            <input readonly="readonly" id="roompriceb" name="roompriceb" placeholder="$0.00" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="totalbooking">@Resources.Content.Total</label>
                                            <input oninput="TotalBook()" id="totalbooking" name="totalbooking" onfocus="this.select();" placeholder="$0.00" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="paydollarbooking">@Resources.Content.PayDollar</label>
                                            <input oninput="ChangePayBook()" id="paydollarbooking" name="paydollarbooking" onfocus="this.select();" placeholder="$0.00" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="payreilbooking">@Resources.Content.PayRiel</label>
                                            <input  id="payreilbooking" readonly="readonly" name="payreilbooking" placeholder="00" onfocus="this.select();" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label for="checkindate">@Resources.Content.CheckInDate</label>
                                            <input id="checkindate" name="checkindate" type="date" value="" class="form-control input-sm" placeholder="Choose Datetime" />
                                        </div>
                                        <div class="form-group">
                                            <label for="expiredate">@Resources.Content.ExpireDate</label>
                                            <input id="expiredate" onselect="ChangeExpierDate()" name="expiredate" type="date" value="" class="form-control input-sm" placeholder="Choose Datetime" />
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label for="bookingnote">@Resources.Content.Note</label>
                                            <input id="bookingnote" name="bookingnote" placeholder="Note" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                        <div class="form-group">
                                            <label style="display:none">@Resources.Content.ExchangeRate <span style="color:blue">1$=</span></label><label style="color:blue;display:none" id="exchagerate">​</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" data-dismiss="modal" class="btn btn-danger btn-sm pull-right" style="margin-left:5px;width:100px"><span class="glyphicon glyphicon-remove"></span> @Resources.Content.Cancel</button>
                <button type="button" onclick="OnBook()" class="btn btn-info btn-sm pull-right" style="margin-left:5px;width:100px"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
            </div>
        </div>

    </div>
</div>

<script>
    function ChangeExpierDate() {
        var expiredate = document.getElementById('expiredate');
        const EndDate = new Date();
        const StartDate = new Date(expiredate);
        const oneDay = 1000 * 60 * 60 * 24;
        const start = Date.UTC(EndDate.getFullYear(), EndDate.getMonth(), EndDate.getDate());
        const end = Date.UTC(StartDate.getFullYear(), StartDate.getMonth(), StartDate.getDate());
        var countday = (start - end) / oneDay;
        if (countday <= 0) {
            toastr.error("Input expire date incorrect!.", "Server Response");
            return false;
        }

    }
    function TotalBook() {
        var a = $('#totalbooking').val();
        $('#paydollarbooking').val(a);
        $('#payreilbooking').val(0);
    }
    function ChangePayBook(){
        var a =parseFloat($('#totalbooking').val());
        var b =parseFloat($('#paydollarbooking').val());
        var e =parseFloat($('#exchagerate').text());
        var result = (a-b)*e ;
        $('#payreilbooking').val(result.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
        
    }

    function OnBook() {
        try{
            CreateGuest();   
        }
        catch (e) {
            toastr.error(e.toString(), "Server Respond")
        }
    }

    ///Insert Guest
    function CreateGuest() {
        if ($("#gnamekh").val() == "") {
            $("#gnamekh").focus()
            return false;
        }
        //if ($("#guestname").val() == ""){
        //    $("#guestname").focus()
        //    return false;
        //}
        
        if ($("#checkindate").val() == "") {
            $("#checkindate").focus()
            return false;
        }
        if ($("#expiredate").val() == "") {
            $("#expiredate").focus()
            return false;
        }
        

        var data = new FormData();
        data.append("name", $("#guestname").val());
        data.append("namekh", $("#gnamekh").val());
        data.append("sex", $("#gsex").val());
        data.append("dob", $("#dob").val());
        data.append("address", $("#address").val());
        data.append("nationality", $("#nationality").val());
        data.append("phone", $("#phonenumber").val());
        data.append("email", $("#email").val());
        data.append("ssn", $("#ssn").val());
        data.append("passport", $("#passport").val());
        data.append("status", 'Book');
        $.ajax({
            type: "POST",
            url: "/api/guests",
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                InsertBooking(result);
                UpdateRoomStatusBook();
            },
            error: function (error) {
                toastr.error("Please check all selected field!.", "Server Response");
            }
        });
    }

    //Insert Booking
    function InsertBooking(result) {
        if ($('#totalbooking').val() == "") {
            $('#totalbooking').focus()
            return false;
        }
        var data = {
            guestid: result,
            roomid: $('#frmbookroomid').val(),
            total: $('#totalbooking').val(),
            paydollar: $('#paydollarbooking').val(),
            payriel: $('#payreilbooking').val(),
            checkindate: $('#checkindate').val(),
            expiredate: $('#expiredate').val(),
            note: $('#bookingnote').val(),
        };
        $.ajax({
            url: "/api/bookings",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                
                toastr.success("Book successfully!", "Server Respond");
                window.location = "booking-rpt/" + result;
            },
            error: function (errormesage) {
                toastr.error("This Booking ID is exist in Database", "Server Respond");
            }
        });
    }
   
    function UpdateRoomStatusBook() {
        $.ajax({
            type: "PUT",
            url: "/api/updateroomstatus/" + $("#bookroomid").val()+"/BOOK",
            contentType: false,
            processData: false,
            // data: status,
            success: function (result) {
                //toastr.success("Room Status has been Update successfully.", "Server Response");
            },
            error: function (error) {
                toastr.error("Update room status fail!", "Server Response");
            }
        });
    }
</script>

 








